package com.scand.svgresize;

import android.app.Activity;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;

import com.scand.svg.parser.SVG;
import com.scand.svg.parser.SVGHelper;

import java.io.IOException;


public class MainActivity extends Activity {

    private ImageView mImageViewSVGDefault;
    private ImageView mImageViewSVGx2;
    private ImageView mImageViewSVG100x100;

    private Button mButton1;
    private Button mButton2;
    private LinearLayout mLayout;

    private ListView mListView;
    private String[] mStrings;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mImageViewSVGDefault=(ImageView)findViewById(R.id.svg_default);
        mImageViewSVGx2=(ImageView)findViewById(R.id.svg_x2);
        mImageViewSVG100x100=(ImageView)findViewById(R.id.svg_100x100);

        try {
            Bitmap svgdef = SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().getBitmap();
            mImageViewSVGDefault.setImageBitmap(svgdef);
            Bitmap svgx2 = SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().setScale(2f).getBitmap();
            mImageViewSVGx2.setImageBitmap(svgx2);
            float size= convertDpToPixel(100, this);
            Bitmap svg100x100 = SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().setRequestBounds((int)size, (int)size).getBitmap();
            mImageViewSVG100x100.setImageBitmap(svg100x100);

            mButton1 = (Button)findViewById(R.id.button1);
            mButton2 = (Button)findViewById(R.id.button2);
            mLayout = (LinearLayout)findViewById(R.id.layout);
            SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().bitmapAsBackground(mButton1);
            SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().bitmapAsBackground(mButton2);
            SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().pictureAsBackground(mLayout);

            mStrings = new String[100];
            for (int i=0;i<100;i++){
                mStrings[i]="item "+i;
            }

            mListView = (ListView) findViewById(R.id.list);

            ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
                    android.R.layout.simple_list_item_1, mStrings);

            mListView.setAdapter(adapter);
            SVGHelper.useContext(this).open(R.raw.star).checkSVGSize().pictureAsBackground(mListView);

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private float convertDpToPixel(float dp, Context context){
        Resources resources = context.getResources();
        DisplayMetrics metrics = resources.getDisplayMetrics();
        float px = dp * (metrics.densityDpi / 160f);
        return px;
    }

}
